package konverze;

class Konvertor
{
    public Konvertor(int základ)
    {
        if(základ < 2 || základ > 35)
        {
            throw new IllegalArgumentException("Základ mimo dovolený rozsah");
        }
        this.základ = základ;
    }
    
    public String převod(int číslo)
    {
        if(číslo == 0) return "0";
        long pomocné = číslo;
        boolean záporné = false;
        if(číslo < 0)
        {
            záporné = true;
            pomocné = -pomocné;
        }
        StringBuilder výsledek = new StringBuilder(35);
        while(pomocné != 0)
        {
            int cifra = (int)(pomocné % základ);
            výsledek.append(číslice.charAt(cifra));
            pomocné /= základ;
        }
        if(záporné)výsledek.append('-');
        return výsledek.reverse().toString();
    }
    private int základ;
    private static final String číslice = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ";
}

public class Program 
{
    public static void main(String[] args) 
    {
        Konvertor konvertor = new Konvertor(16);
        System.out.println(konvertor.převod(65534));
        Konvertor konvertor2 = new Konvertor(2);
        System.out.println(konvertor2.převod(-8));
    }
    
}
